"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Request = exports.HTTPMethods = void 0;
var Popsicle = __importStar(require("popsicle/dist/common"));
var HTTPMethods;
(function (HTTPMethods) {
    HTTPMethods["GET"] = "GET";
    HTTPMethods["POST"] = "POST";
    HTTPMethods["PUT"] = "PUT";
    HTTPMethods["PATCH"] = "PATCH";
    HTTPMethods["DELETE"] = "DELETE";
    HTTPMethods["HEAD"] = "HEAD";
    HTTPMethods["OPTIONS"] = "OPTIONS";
    HTTPMethods["COPY"] = "COPY";
    HTTPMethods["LOCK"] = "LOCK";
    HTTPMethods["MKCOL"] = "MKCOL";
    HTTPMethods["MOVE"] = "MOVE";
    HTTPMethods["PROPFIND"] = "PROPFIND";
    HTTPMethods["PROPPATCH"] = "PROPPATCH";
    HTTPMethods["UNLOCK"] = "UNLOCK";
    HTTPMethods["REPORT"] = "REPORT";
})(HTTPMethods = exports.HTTPMethods || (exports.HTTPMethods = {}));
var Request = /** @class */ (function () {
    function Request() {
        this.transport = Popsicle.createTransport({
            maxBufferSize: Infinity,
            rejectUnauthorized: false,
            type: 'text',
        });
    }
    Request.prototype.send = function (method, url, body) {
        var opts = {
            body: body,
            headers: {
                'Content-Type': 'application/json',
                'X-Pact-Mock-Service': 'true',
            },
            method: method,
            timeout: 10000,
            transport: this.transport,
            url: url,
        };
        return Popsicle.request(opts).then(function (res) {
            if (res.status >= 200 && res.status < 400) {
                return res.body;
            }
            return Promise.reject(res.body);
        });
    };
    return Request;
}());
exports.Request = Request;
//# sourceMappingURL=request.js.map