import * as express from 'express';
import { ConsumerVersionSelector } from '@pact-foundation/pact-core';
import { ProxyOptions, StateHandlers } from '../dsl/verifier/proxy/types';
export interface VerifierV3OptionsInternal {
    provider: string;
    logLevel: string;
    providerBaseUrl: string;
    pactUrls?: string[];
    pactBrokerUrl?: string;
    providerStatesSetupUrl?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    pactBrokerToken?: string;
    timeout?: number;
    publishVerificationResult?: boolean;
    providerVersion?: string;
    requestFilter?: express.RequestHandler;
    stateHandlers?: StateHandlers;
    consumerVersionTags?: string | string[];
    providerVersionTags?: string | string[];
    consumerVersionSelectors?: ConsumerVersionSelector[];
    enablePending?: boolean;
    includeWipPactsSince?: string;
    disableSSLVerification?: boolean;
}
export { ConsumerVersionSelector };
export declare type VerifierV3Options = VerifierV3OptionsInternal & ProxyOptions;
export declare class VerifierV3 {
    private internalVerifier;
    private config;
    constructor(config: VerifierV3Options);
    /**
     * Verify a HTTP Provider
     */
    verifyProvider(): Promise<unknown>;
}
